summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
Diffstat (limited to 'desktop')
-rw-r--r--desktop/musca/README48
-rw-r--r--desktop/musca/musca.SlackBuild103
-rw-r--r--desktop/musca/musca.info10
-rw-r--r--desktop/musca/slack-desc19
-rw-r--r--desktop/musca/xinitrc.musca29
5 files changed, 209 insertions, 0 deletions
diff --git a/desktop/musca/README b/desktop/musca/README
new file mode 100644
index 0000000000..4d1a6dcb38
--- /dev/null
+++ b/desktop/musca/README
@@ -0,0 +1,48 @@
+A simple dynamic window manager for X, with features nicked from ratpoison
+and dwm:
+
+* Musca operates as a tiling window manager by default. It uses manual
+tiling, which means the user determines how the screen is divided into
+non-overlapping frames, with no restrictions on layout. Application
+windows always fill their assigned frame, with the exception of transient
+windows and popup dialog boxes which float above their parent application
+at the appropriate size. Once visible, applications do not change frames
+unless so instructed.
+
+* Since not all applications suit tiling, a more traditional stacking
+window manager mode is also available, allowing windows to float at any
+screen location and overlap.
+
+* There are no built in status bars, panels, tabs or window decorations
+to take up screen real estate. If the user wants any of these things,
+there are plenty of external applications available to do the job. Window
+decoration is limited to a slender border, which is coloured to indicate
+keyboard focus.
+
+* Windows are placed in named groups which can be used in a similar
+fashion to virtual desktops. Groups can be added and removed on the fly,
+and each group has its own frame layout.
+
+* The excellent dmenu utility is used to execute commands and launch
+applications, and it can also act as a window and group switcher. Basic
+EWMH support allows use of common panels, pagers and wmctrl.
+
+* Windows and frames are navigated and focused on any mouse button
+click, including rolling the wheel, or alternatively driven entirely
+by the keyboard. Simple key combinations exist for window switching,
+group switching, frame control and screen switching.
+
+* Frames can be dedicated to a single application window, preventing new
+windows usurping said frame. One frame per group can also be flagged as
+a catch-all so that all new application windows open there. The frame
+border colour changes to reflect these modes.
+
+* Musca has multi-screen support out of the box, and will automatically
+create groups for every available screen.
+
+************************************************************************
+
+Musca requires the following additional software (available here at
+slackbuilds.org):
+
+dmenu
diff --git a/desktop/musca/musca.SlackBuild b/desktop/musca/musca.SlackBuild
new file mode 100644
index 0000000000..b04f511f4b
--- /dev/null
+++ b/desktop/musca/musca.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for musca
+
+# Copyright (c) 2010, Jim Bottino, Elgin, Illinois, USA
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above
+# copyright notice, this list of conditions and the following
+# disclaimer in the documentation and/or other materials
+# provided with the distribution.
+# * Neither the name of Jim Bottino nor the names of other contributors
+# may be used to endorse or promote products derived from this
+# software without specific prior written prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY Jim Bottino ''AS IS'' AND ANY
+# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL Jim Bottino BE LIABLE FOR
+# ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
+# GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
+# IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
+# IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=musca
+VERSION=${VERSION:-0.9.24}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make \
+ INSTALL="/bin/ginstall -o root -g root" \
+ OPTS="$SLKCFLAGS" \
+ PREFIX=/usr \
+ MANPREFIX=/usr/man \
+ X11INC=/usr/include/X11 \
+ X11LIB=/usr/lib${LIBDIRSUFFIX}/X11 \
+ DESTDIR=$PKG
+
+mkdir -p $PKG/usr/bin
+cd $TMP/$PRGNAM-$VERSION
+cp musca apis xlisten $PKG/usr/bin/
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+mkdir -p $PKG/etc/X11/xinit
+cat $CWD/xinitrc.musca > $PKG/etc/X11/xinit/xinitrc.musca
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp $CWD/README $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/desktop/musca/musca.info b/desktop/musca/musca.info
new file mode 100644
index 0000000000..34edc87e26
--- /dev/null
+++ b/desktop/musca/musca.info
@@ -0,0 +1,10 @@
+PRGNAM="musca"
+VERSION="0.9.24"
+HOMEPAGE="http://aerosuidae.net/musca/Musca_Window_Manager"
+DOWNLOAD="http://aerosuidae.net/musca-0.9.24.tgz"
+MD5SUM="e067a8e39b1a97d62fc8e43800edee70"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Jim Bottino"
+EMAIL="jim@bottino.com"
+APPROVED="dsomero"
diff --git a/desktop/musca/slack-desc b/desktop/musca/slack-desc
new file mode 100644
index 0000000000..eceb1d4d42
--- /dev/null
+++ b/desktop/musca/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler--------------------------------------------------------|
+musca: musca (simple dynamic window manager for X)
+musca:
+musca: Musca operates as a tiling window manager by default. It uses manual
+musca: tiling, which means the user determines how the screen is divided into
+musca: non-overlapping frames, with no restrictions on layout. Application
+musca: windows always fill their assigned frame, with the exception of
+musca: transient windows and popup dialog boxes which float above their parent
+musca: application at the appropriate size. Once visible, applications do not
+musca: change frames unless so instructed.
+musca:
+musca: Homepage: http://aerosuidae.net/musca/Musca_Window_Manager
diff --git a/desktop/musca/xinitrc.musca b/desktop/musca/xinitrc.musca
new file mode 100644
index 0000000000..6f928e8b21
--- /dev/null
+++ b/desktop/musca/xinitrc.musca
@@ -0,0 +1,29 @@
+#!/bin/sh
+# $XConsortium: xinitrc.cpp,v 1.4 91/08/22 11:41:34 rws Exp $
+
+userresources=$HOME/.Xresources
+usermodmap=$HOME/.Xmodmap
+sysresources=/etc/X11/xinit/.Xresources
+sysmodmap=/etc/X11/xinit/.Xmodmap
+
+# merge in defaults and keymaps
+
+if [ -f $sysresources ]; then
+ xrdb -merge $sysresources
+fi
+
+if [ -f $sysmodmap ]; then
+ xmodmap $sysmodmap
+fi
+
+if [ -f $userresources ]; then
+ xrdb -merge $userresources
+fi
+
+if [ -f $usermodmap ]; then
+ xmodmap $usermodmap
+fi
+
+# start some nice programs
+
+musca